__version__ = '0.1.0'
ver = "1.0.2"
varNames = []
varValues = []
# Basic commands
def spit(val):
  print(val)
def steal(prompt):
  return input(prompt)
def save():
  pass
def needHelp():
  help = [
    "spit() - Outputs text",
    "steal() - Gets user input",
    "save() - **Doesn't work!** Saves the program",
    "create() - Creates a new variable with name and value",
    "get() - Gets variable value",
    "reset() - Changes a variable value",
    "dispose() - Deletes a variable",
    "Comments: /(     )/",
  ]
  for i in range(len(help)):
    print(help[i])
def getVer():
  return "v" + ver
# Variables
def create(name="myVar", val="0"):
  varNames.append(name)
  varValues.append(val)
def get(name):
  try:
    return varValues[varNames.index(name)]
  except ValueError:
    return None
def reset(name, val):
  varValues[varNames.index(name)] = val
def dispose(name):
  del varValues[varNames.index(name)]
  del varNames[varNames.index(name)]
def grab(pkg):
  try:
    exec(f"import {pkg}")
  except ImportError:
    try:
      import os
      os.system(f"pip install {pkg}")
      exec(f"import {pkg}")
    except ImportError:
      print(f"Package {pkg} not found")
def check(cond1, cond2, oper):
  import operator
  ops = {
    '==':operator.eq,
    '!=':operator.ne,
    '<=':operator.le,
    '>=':operator.ge,
    '>':operator.gt,
    '<':operator.lt
  }
  if ops[oper](cond1, cond2):
    return True
  else:
    return False
def toType(toConv, typeTo):
  if typeTo == "int":
    return int(toConv)
  elif typeTo == "str":
    return str(toConv)
  elif typeTo == "flo":
    return float(toConv)
  else:
    raise SyntaxError(typeTo + " is not defined")
def calc(num1, num2, oper):
  if oper == "+":
    return num1 + num2
  elif oper == "-":
    return num1 - num2
  elif oper == "*":
    return num1 * num2
  elif oper == "/":
    return num1 / num2
  elif oper == "$":
    return num1 % num2
  else:
    raise SyntaxError("Invalid oper " + oper)